<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList.barang tr:even").addClass("stripe1");
        $("#theList.barang tr:odd").addClass("stripe2");

        $("#theList.barang tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function pilih(ID){
		var kode = ID;
		
		$.ajax({
			type	: "POST",
			url		: "modul/ubahstatus/cari_barang.php",
			data	: "kode="+kode,					
			dataType: "json",
			success	: function(data){
				$("#txt_kodest").val(kode);
				$("#txt_namast").val(data.namast);
				$("#txt_satuan").val(data.satuan);
				$("#txt_harga").val(data.harga);
				$("#txt_jmlstok").val(data.jmlstok);
				$("#form_cari_br").dialog('close');				
				$("#txt_jmlunit").focus();
			}
		});
	}
	
</script>
<?php
include '../../inc/inc.koneksi.php';

$cari	= $_GET['cari'];
$kodetk	= $_GET['kodetk'];

echo "<table id='theList' class='barang' width='100%'>
		<tr>
			<th>No.</th>
			<th>Kode Produk</th>
			<th>Nama Barang</th>
			<th>Jml.Stok</th>
			<th>Satuan</th>
			<th>Ambil</th>
		</tr>";

		if(!empty($cari))
			$sql = "SELECT * FROM stock WHERE kode_tk='$kodetk' AND (kode_st LIKE '%$cari%' OR nama_st LIKE '%$cari%') ORDER BY kode_st";
		else
			$sql = "SELECT * FROM stock WHERE kode_tk='$kodetk' ORDER BY kode_st";
		
		$query = mysql_query($sql);
		$jml_data = mysql_num_rows($query);
		$no=1;
		while($r_data=mysql_fetch_array($query)){			
			echo "<tr>
					<td align='center'>$no</td>
					<td>$r_data[kode_st]</td>
					<td>$r_data[nama_st]</td>
					<td align='right'>$r_data[jml_stok]</td>
					<td>$r_data[satuan]</td>
					<td align='center'>
						<a href='javascript:void(0)' onClick=\"pilih('$r_data[kode_st]')\">
						<img src='icon/download.gif' border='0' id='tambah_data' title='Tambah' width='12' height='12' >
					</a>					
					</td>
				</tr>";
			$no++;			
		}
		
	echo "</table>";
?>